# BaseSimulationProtocols

class `propertyestimator.protocols.utils.``BaseSimulationProtocols`(build_coordinates, assign_parameters, energy_minimisation, equilibration_simulation, production_simulation, analysis_protocol, converge_uncertainty, extract_uncorrelated_trajectory, extract_uncorrelated_statistics)
  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__` | Initialize self.
  `count` | Return number of occurrences of value.
  `index` | Return first index of value.

  Attributes

  `analysis_protocol` | Alias for field number 5
  `assign_parameters` | Alias for field number 1
  `build_coordinates` | Alias for field number 0
  `converge_uncertainty` | Alias for field number 6
  `energy_minimisation` | Alias for field number 2
  `equilibration_simulation` | Alias for field number 3
  `extract_uncorrelated_statistics` | Alias for field number 8
  `extract_uncorrelated_trajectory` | Alias for field number 7
  `production_simulation` | Alias for field number 4

  property `analysis_protocol`

    Alias for field number 5

  property `assign_parameters`

    Alias for field number 1

  property `build_coordinates`

    Alias for field number 0

  property `converge_uncertainty`

    Alias for field number 6

  `count`()

    Return number of occurrences of value.

  property `energy_minimisation`

    Alias for field number 2

  property `equilibration_simulation`

    Alias for field number 3

  property `extract_uncorrelated_statistics`

    Alias for field number 8

  property `extract_uncorrelated_trajectory`

    Alias for field number 7

  `index`()

    Return first index of value.

    Raises ValueError if the value is not present.

  property `production_simulation`

    Alias for field number 4